Name:          mchange-commons
Version:       0.2.7
Release:       %mkrel 5
Group:         Development/Java
Summary:       A collection of general purpose utilities for c3p0
License:       LGPLv2 or EPL
URL:           https://github.com/swaldman/mchange-commons-java
Source0:       https://github.com/swaldman/mchange-commons-java/archive/mchange-commons-java-%{version}-final.tar.gz
Source1:       https://raw.github.com/willb/climbing-nemesis/master/climbing-nemesis.py

# There is a missing dep in Fedora so cannot build tests
Patch0:        mchange-no-tests.patch

BuildRequires: sbt
BuildRequires: ivy-local
BuildRequires: maven-local
BuildRequires: log4j12
BuildRequires: slf4j
BuildRequires: typesafe-config
BuildRequires: python

BuildArch:     noarch

%description
Originally part of c3p0, mchange-commons is a set of general purpose
utilities.

%package javadoc
Summary:       API documentation for %{name}

%description javadoc
%{summary}.

%prep
%setup -q -n %{name}-java-%{name}-java-%{version}-final

%patch0

find -name '*.class' -delete
find -name '*.jar' -delete

cp %{SOURCE1} .
chmod 755 climbing-nemesis.py

# Fix java8doc task
sed -i 's|Seq("-source","1.6")|Seq("-source","1.6","-Xdoclint:none")|' project/Build.scala

cp -Lpr /usr/share/sbt/ivy-local .

%build
# XXX: This jar has changed location, which breaks sbt -- this is a temp workaround
rm ivy-local/org.fusesource.hawtjni/hawtjni-runtime/1.8/hawtjni-runtime-1.8.jar
ln -s $(build-classpath hawtjni/hawtjni-runtime) ivy-local/org.fusesource.hawtjni/hawtjni-runtime/1.8/hawtjni-runtime-1.8.jar

# XXX: Link deps, I understand this is a temp measure until sbt gains real xmvn integration
./climbing-nemesis.py com.typesafe config ivy-local --version 1.0.0
# XXX: Have to specify exact pom here in case log4j2's compat api gets resolved instead
./climbing-nemesis.py log4j log4j ivy-local --version 1.2.14 --pom /usr/share/maven-poms/log4j12-*.pom --ignore ant --ignore junit --ignore sun.jdk
./climbing-nemesis.py org.slf4j slf4j-api ivy-local --version 1.7.5

export SBT_BOOT_DIR=$PWD/boot
export SBT_IVY_DIR=$PWD/ivy-local
sbt package make-pom doc

%mvn_artifact target/mchange-commons-java-%{version}.pom target/mchange-commons-java-%{version}.jar

%install
%mvn_install -J target/api

%files -f .mfiles
%license LICENSE*

%files javadoc -f .mfiles-javadoc
%license LICENSE*



%changelog
* Thu Feb 25 2016 neoclust <neoclust> 0.2.7-5.mga6
+ Revision: 979210
- First rebuild of the java stack
- sync package mchange-commons with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

  + pterjan <pterjan>
    - Sync with Fedora 21 (update to 0.2.7)

* Wed Oct 15 2014 umeabot <umeabot> 0.2.3.4-5.mga5
+ Revision: 741216
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.3.4-4.mga5
+ Revision: 682315
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 0.2.3.4-3.mga4
+ Revision: 537641
- Mageia 4 Mass Rebuild

* Fri Sep 27 2013 dmorgan <dmorgan> 0.2.3.4-2.mga4
+ Revision: 487401
- Remove dupplicate changelog
- New version

* Tue Feb 19 2013 umeabot <umeabot> 0.2-0.3.20110130hg.3.mga3
+ Revision: 399324
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Aug 28 2011 dmorgan <dmorgan> 0.2-0.3.20110130hg.1.mga2
+ Revision: 135807
- Add %%mkrel
- imported package mchange-commons


* Mon Jan 31 2011 Mat Booth <fedora@matbooth.co.uk> 0.2-0.3.20110130hg
- Add build dep on ant-junit.
- Build and install javadoc.

* Sun Jan 30 2011 Mat Booth <fedora@matbooth.co.uk> 0.2-0.2.20110130hg
- Update for guideline compliance.

* Fri Oct 8 2010 Tom "spot" Callaway <tcallawa@redhat.com> 0.2-0.1.20101008hg
- initial package
